REST APISettle (Off Exchange)Client Settlements & Transfers

GET

This API call allows clients to get a list of settlements that involve their accounts and their metadata. Results can be filtered by various parameters and are paginated.

Error scenarios:

  • 400: Invalid Request Error

  • Occurs when the request parameters are invalid or malformed.

  • Examples: Invalid UUID format, invalid pagination parameters.

  • 401: Authentication Error

  • Occurs when the request is not authorized.

  • Examples: Caller is not a member of the enterprise.

  • 403: Permission Denied Error

  • Occurs when the authenticated client doesn't have necessary permissions.

  • Examples: Enterprise does not have OES license.

  • 404: Not Found Error

  • Occurs when the specified enterprise cannot be found.

  • Examples: Enterprise ID doesn't exist.

  • 500: Internal Server Error

  • Occurs when there's an unexpected server error processing the request.

  • Examples: Database connection issues, query errors.

Requires access token scope: settlement_network_read

Path Params

  • enterpriseId string required
    The enterprise identifier of the client. This identifies the client enterprise making the API request.

    at least 1 characters

Query Params

  • pageNumber string integer
    The page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0.
  • pageSize string
    The page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used.
  • settlementIds array of strings
    Filter by specific settlement IDs. When provided, only settlements matching these IDs will be returned.
  • onlyShowDisputed boolean
    Filter to show only disputed settlements. When set to true, only settlements that have disputes will be returned. Setting to false will have no effect.
  • partnerIds array of strings
    Filter by specific partner IDs. When provided, only settlements involving these partners will be returned.
  • partyConnectionIds array of strings
    Filter by specific party connection IDs. When provided, only settlements involving these connections as parties will be returned.
  • counterpartyConnectionIds array of strings
    Filter by specific counterparty connection IDs. When provided, only settlements involving these connections as counterparties will be returned.
  • statuses array of string enums
    Filter by settlement statuses. When provided, only settlements with these statuses will be returned.
    failedcompletedpendingrejected

Responses

200
OK

Response Body

object

  • settlements array of objects required

    ONE OF

    • transferDirection string enum required
      Whether the settlement is a send, receive, or both, from the client's perspective
      sendreceivesend-and-receive
    • id string required
      The unique identifier of the settlement. This is a UUID that uniquely identifies the settlement record.
    • partnerId string required
      The unique identifier of the partner the settlement is associated with. This is a UUID that uniquely identifies the partner.
    • externalId string required
      External identifier provided by the partner when creating the settlement.

      at least 1 characters

    • status string enum required
      pending
    • settlementType string enum required

      The type of settlement. Possible values are:

      • onchain: The settlement is on-chain.
      • offchain: The settlement is off-chain.
      onchainoffchain
    • reconciled boolean required
      Whether or not the settlement is reconciled against trade data. Currently there are no reconciled settlements. This field is always false.
    • initiatedBy string required
      Id of the user which initiated the settlement.

      at least 1 characters

    • notes string
      The notes associated with the settlement. This is a free-form text field that can contain any additional information about the settlement.

      at least 1 characters

    • createdAt string date-time required
      The date and time when the settlement was created. This is a timestamp in ISO 8601 format.
    • updatedAt string date-time required
      The date and time when the settlement was last updated. This is a timestamp in ISO 8601 format.
    • rtId string
      Routed transaction id associated with the settlement. This is a UUID that uniquely identifies the routed transaction. This field is only populated for on-chain settlements for partners with automation enabled.
    • lossSLAAlertSent boolean required
      Whether or not an alert has been sent if loss settlement SLA is close to being breached. Only relevant for on-chain settlements.
    • gainSLAAlertSent boolean required
      Whether or not an alert has been sent if gain settlement SLA is close to being breached. Only relevant for on-chain settlements.
    • cutoffAt string date-time
      The date and time of the newest trade being settled in the partner system. This is a timestamp in ISO 8601 format. This field is only populated for dispute enabled partners.
    • disputed boolean
      Whether or not a dispute was raised on this settlement.
400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • error string required
403
Forbidden

Response Body

object

  • error string required
404
Not Found

Response Body

object

  • error string required
500
Internal Server Error

Response Body

object

  • error string required